跳转到内容

订单-获取订单详情

POST /app/localLife/storage/order/detail
字段 名称 类型 是否必须
order_id 订单ID uint 是
字段 名称
code 0为成功其余都是失败
data array
msg 提示语

开启按日期/场次售卖后,订单项会保存并返回下单时的出行日期、场次和票种快照。完整口径见:日期/场次/票种对接说明。

字段说明
order_items[].travel_date出行日期
order_items[].session_id场次ID
order_items[].session_name场次名称快照
order_items[].session_time场次时间快照
order_items[].session_start_time场次开始时间快照
order_items[].session_check_deadline_time场次截止检票时间快照
order_items[].sku_id票种SKU ID
order_items[].sku_title票种名称快照
order_items[].travelers出行人/联系人

order

字段 名称 类型 枚举
id 订单ID uint
brand_id 品牌ID uint
uid 会员ID unit
application_id 采购端ID uint
application_shop_id 采购端商城ID uint
gather_supply_id 供应链ID uint
order_sn 订单编号 uint
third_order_sn 第三方订单编号 string
key 标识 string
title 标题 string
status 订单状态 int 0待付款1待使用2部分使用3完成-1关闭
amount 订单金额 uint 分
refund_amount 退款金额 uint 分
item_amount item金额 uint 分
cost_amount 成本价 uint 分
supply_amount 供货价 uint 分
technical_services_fee 技术服务费 uint 分
refund_status 退货退款状态 int -1关闭 1正常 2售后中 3完成
goods_count 商品总数 uint
remark 买家留言 string
note 商家备注 string
paid_at 支付时间 int
received_at 完成时间 int
closed_at 关闭时间 int
pay_type_id 支付方式 int
pay_info_id 支付记录ID uint
lock 锁 int
order_type 订单类型 int 1团购券2代金券3次卡
usage 可使用次数 int
used 已使用次数 int
user_mobile 手机号 string
shop_type 适用门店类型 int 1全部门店2指定门店
amount_detail 订单金额详情
user 下单会员
gather_supply 供应链信息
pay_info 支付信息
pay_type 支付方式
status_name 状态名
order_items 订单items
vrf_records 核销码

vrf_records

字段 名称 类型
id ID uint
brand_id 品牌ID uint
order_id 订单ID uint
amount 单次金额 uint
code 券码 string
status 状态0未使用1已使用 int

order->order_items

字段 名称 类型 枚举
id 订单itemID uint
brand_id 品牌ID uint
uid 会员ID unit
order_id 订单ID uint
key 标识 string
title 名称 string
sku_title 规格名称 string
image_url 商品图片 string
unit 单位 string
qty 购买数量 uint
amount 总价 uint 分
refund_amount 订单金额 uint 分
discount_amount 优惠金额 uint 分
deduction_amount 抵扣金额 uint 分
cost_amount 成本价 uint 分
supply_amount 供货价 uint 分
payment_amount 均摊支付金额 uint 分
product_id 商品ID uint
sku_id 规格ID uint
localLifeAfterSale 售后信息
localLifeOrderPurchase 购买信息
localLifeOrderSettle 结算信息
localLifeOrderProductPackage 商品套餐

localLifeAfterSale

{
"code": 0,
"data": {
"order": {
"id": 32,
"created_at": 1728803921,
"updated_at": 1728803936,
"brand_id": 3,
"uid": 1,
"application_id": 1,
"application_shop_id": 0,
"gather_supply_id": 0,
"order_sn": 190168431342,
"third_order_sn": "SH2023061215116",
"key": "1-0-3-12",
"title": "dfg 等1件商品",
"status": 1,
"amount": 1002,
"refund_amount": 0,
"item_amount": 1002,
"cost_amount": 900,
"supply_amount": 1002,
"technical_services_fee": 0,
"refund_status": 1,
"goods_count": 1,
"remark": "",
"note": "",
"paid_at": 1728803936,
"received_at": null,
"closed_at": null,
"pay_type_id": 2,
"pay_info_id": 60,
"lock": 0,
"order_type": 0,
"usage": 4,
"used": 0,
"user_mobile": "15945596368",
"shop_type": 2,
"amount_detail": {
"title": "订单总价",
"amount": 1002,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品总价",
"amount": 1002,
"qty": 0,
"desc": "",
"amount_items": null
},
{
"title": "技术服务费",
"amount": 0,
"qty": 0,
"desc": "服务费比例0",
"amount_items": null
}
]
},
"user": {
"id": 1,
"nickname": "杨洋",
"mobile": "",
"avatar": "",
"username": "17519512230"
},
"gather_supply": {
"id": 0,
"name": "",
"logo": "",
"category_id": 0
},
"pay_info": {
"id": 60,
"pay_sn": "190168433020",
"status": "1"
},
"pay_type": "站内余额",
"status_name": "待使用",
"order_items": [
{
"id": 31,
"created_at": 1728803921,
"updated_at": 1728803921,
"brand_id": 3,
"uid": 1,
"order_id": 32,
"key": "",
"title": "dfg ",
"sku_title": "80抵100",
"image_url": "https://cbu01.alicdn.com/img/ibank/O1CN01mBynvU224joZ4lmWd_!!3172677067-0-cib.jpg",
"unit": "",
"qty": 1,
"amount": 1002,
"refund_amount": 0,
"discount_amount": 0,
"deduction_amount": 0,
"cost_amount": 900,
"supply_amount": 1002,
"payment_amount": 1002,
"product_id": 12,
"sku_id": 13,
"localLifeAfterSale": {
"id": 0,
"created_at": null,
"updated_at": null,
"brand_id": 0,
"product_title": "",
"product_type": 0,
"application_id": 0,
"application_shop_id": 0,
"gather_supply_id": 0,
"after_sale_sn": "",
"order_sn": 0,
"user_id": 0,
"amount": 0,
"technical_services_fee": 0,
"reason_type": 0,
"reason": "",
"description": "",
"order_id": 0,
"order_item_id": 0,
"sku_id": 0,
"product_id": 0,
"pay_method": 0,
"status": 0,
"refund_type": 0,
"refund_way": 0,
"num": 0,
"detail_images": null,
"logs": null,
"pass_at": null,
"cause": ""
},
"localLifeOrderPurchase": {
"id": 2,
"created_at": 1728803927,
"updated_at": 1728803927,
"order_id": 32,
"order_item_id": 31,
"product_id": 12,
"need_mobile": 1,
"expire": {
"type": 1,
"days": 10,
"at": ""
},
"unavailable_date": {
"weekly": {
"selected": 1,
"weekdays": [
"Sunday",
"Monday"
]
},
"holidays": {
"selected": 1
},
"specified": {
"selected": 1,
"dates": [
{
"start_date": "2021-08-01 00:00:00",
"end_date": "2021-08-31 23:59:59"
}
]
}
},
"consume": {
"type": 2,
"times": [
{
"start_time": "10:00",
"end_time": "14:00"
},
{
"start_time": "16:00",
"end_time": "20:00"
}
]
},
"buy_limit_rule": {
"limited": 1,
"num": 1
},
"booking_rule": {
"need_booking": 1,
"advance_num": 1,
"advance_unit": 1
},
"with_discount": 1,
"usage_sheet_rule": {
"unlimited": 2,
"num": 1
},
"usage_people_rule": {
"unlimited": 2,
"num": 1
},
"usage_describes": [
{
"title": "说明标题1",
"contents": [
{
"info": "说明内容1"
},
{
"info": "说明内容2"
}
]
},
{
"title": "",
"contents": [
{
"info": "说明内容1"
},
{
"info": "说明内容2"
}
]
}
]
},
"localLifeOrderSettle": {
"id": 2,
"created_at": 1728803927,
"updated_at": 1728803927,
"order_id": 32,
"order_item_id": 31,
"product_id": 12,
"independent": 2,
"store_rate": 100,
"ratio": 100
},
"localLifeOrderProductPackage": {
"id": 1,
"created_at": 1728803927,
"updated_at": 1728803927,
"order_id": 32,
"order_item_id": 31,
"product_id": 12,
"packages": [
{
"title": "套餐项目名1",
"contents": [
{
"title": "套餐内容名1",
"usage": 1,
"price": 1000,
"describes": [
{
"info": "描述1"
},
{
"info": "描述2"
}
]
},
{
"title": "套餐内容名2",
"usage": 1,
"price": 1000,
"describes": [
{
"info": "描述12"
},
{
"info": "描述22"
}
]
}
]
}
]
}
}
],
"vrf_records": [
{
"id": 611,
"created_at": 1728803927,
"updated_at": 1728803927,
"brand_id": 3,
"order_id": 32,
"amount": 250,
"code": "WN34853261703178",
"status": 0,
"v_uid": 0,
"vid": 0
}
]
}
},
"msg": "操作成功"
}